<div class="container">
    <div class="row" id="login-form">
        <div class="col-sm-4">
        </div>
        <div class="col-sm-4">
            <div ng:if="customization.plugins.core.bigLogoURL" class="text-center">
                <img ng:src="{{customization.plugins.core.bigLogoURL}}" />
            </div>
            <h1 class="text-center" style="perspective: 75px">
                <i ng:show="!working" class="fa fa-lock"></i>
                <span ng:show="working && !success">
                    <i class="fa flip-cycle fa-lock"></i>
                </span>
                <span ng:show="working && success">
                    <i class="fa flip-cycle fa-unlock-alt"></i>
                </span>
            </h1>
            <div ng:show="mode == 'normal'">
                <input ng:model="username" ng:enter="login()" ng:disabled="working" type="text" placeholder="{{'Username'|translate}}" autofocus class="form-control" />
            </div>
            <div>
                <input ng:model="password" ng:enter="login()" ng:disabled="working" type="password" placeholder="{{'Password'|translate}}" class="form-control" />
            </div>
            <div>
                <a ng:click="login()" ng:disabled="!username || !password || working" class="btn btn-primary btn-block">
                    <span ng:show="mode == 'normal'" translate>Log in</span>
                    <span ng:show="mode == 'sudo'" translate>Authenticate</span>
                </a>
            </div>
            <div ng:show="mode == 'normal' && !customization.plugins.core.hidePersonaLogin">
                <a ng:click="personaLogin()" ng:disabled="working" class="btn btn-default btn-block" translate>
                    Log in with e-mail
                </a>
            </div>
        </div>
        <div class="col-sm-4">
        </div>
    </div>
</div>